document.getElementById('propertyForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  // Get input values
  const propertyValue = parseFloat(document.getElementById('propertyValue').value);
  const rentalIncome = parseFloat(document.getElementById('rentalIncome').value);
  const expenses = parseFloat(document.getElementById('expenses').value);
  const years = parseFloat(document.getElementById('years').value);
  
  // Calculations
  const totalRentalProfit = ((rentalIncome - expenses) * 12 * years).toFixed(2);
  const saleProfit = (propertyValue * 1.03 ** years).toFixed(2); // Assuming 3% annual appreciation
  
  // Display results
  document.getElementById('rentalProfit').textContent = `$${totalRentalProfit}`;
  document.getElementById('saleProfit').textContent = `$${saleProfit}`;
  
  // Recommendation
  const recommendation = totalRentalProfit > saleProfit ? "Continue Renting" : "Sell the Property";
  document.getElementById('recommendation').textContent = recommendation;
  
  // Add visual feedback
  const resultCards = document.querySelectorAll('.card');
  resultCards.forEach(card => card.classList.add('show'));
});